<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__fast__funcs" kind="group">
    <compoundname>group_sysclk_clk_fast_funcs</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__fast__funcs_1gaf1a9a3464a376ec2ef15619c5e16372e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkFastSetDivider</definition>
        <argsstring>(uint8_t divider)</argsstring>
        <name>Cy_SysClk_ClkFastSetDivider</name>
        <param>
          <type>uint8_t</type>
          <declname>divider</declname>
        </param>
        <briefdescription>
<para>Sets the clock divider for the fast clock, which sources the main processor. </para>        </briefdescription>
        <detaileddescription>
<para>The source of this divider is clkHf[0].</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>divider</parametername>
</parameternamelist>
<parameterdescription>
<para>divider value between 0 and 255. Causes integer division of (divider value + 1), or division by 1 to 256.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__system__config__system__functions.html#group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f"&gt;SystemCoreClockUpdate&lt;/a&gt; after this function calling.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9"&gt;Cy_SysLib_SetWaitStates&lt;/a&gt; before calling this function if CLK_FAST frequency is increasing.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9"&gt;Cy_SysLib_SetWaitStates&lt;/a&gt; after calling this function if CLK_FAST frequency is decreasing.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />HFCLK0<sp />is<sp />configured<sp />and<sp />enabled.<sp />The<sp />Fast<sp />clock<sp />sourcing<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CM4<sp />core<sp />must<sp />run<sp />at<sp />a<sp />frequency<sp />that<sp />is<sp />1/16<sp />of<sp />HFCLK0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(16u<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1ga439dc5031af51ff23d3136c854f68895">Cy_SysClk_ClkFastGetDivider</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1gaf1a9a3464a376ec2ef15619c5e16372e">Cy_SysClk_ClkFastSetDivider</ref>(16u);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />the<sp />CM4<sp />clock<sp />source<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkFastfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1ga1d73104a4b46ede910f7b1d75875b8ec">Cy_SysClk_ClkFastGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2454" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2447" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2395" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__fast__funcs_1ga439dc5031af51ff23d3136c854f68895" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint8_t</type>
        <definition>__STATIC_INLINE uint8_t Cy_SysClk_ClkFastGetDivider</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkFastGetDivider</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the clock divider for the fast clock. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The divider value for the fast clock. The integer division done is by (divider value + 1), or division by 1 to 256.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />HFCLK0<sp />is<sp />configured<sp />and<sp />enabled.<sp />The<sp />Fast<sp />clock<sp />sourcing<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CM4<sp />core<sp />must<sp />run<sp />at<sp />a<sp />frequency<sp />that<sp />is<sp />1/16<sp />of<sp />HFCLK0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(16u<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1ga439dc5031af51ff23d3136c854f68895">Cy_SysClk_ClkFastGetDivider</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1gaf1a9a3464a376ec2ef15619c5e16372e">Cy_SysClk_ClkFastSetDivider</ref>(16u);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />the<sp />CM4<sp />clock<sp />source<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkFastfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1ga1d73104a4b46ede910f7b1d75875b8ec">Cy_SysClk_ClkFastGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2473" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2470" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2396" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__fast__funcs_1ga1d73104a4b46ede910f7b1d75875b8ec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SysClk_ClkFastGetFrequency</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkFastGetFrequency</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports the frequency of the fast clock. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The frequency, in Hz.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />HFCLK0<sp />is<sp />configured<sp />and<sp />enabled.<sp />The<sp />Fast<sp />clock<sp />sourcing<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CM4<sp />core<sp />must<sp />run<sp />at<sp />a<sp />frequency<sp />that<sp />is<sp />1/16<sp />of<sp />HFCLK0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(16u<sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1ga439dc5031af51ff23d3136c854f68895">Cy_SysClk_ClkFastGetDivider</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1gaf1a9a3464a376ec2ef15619c5e16372e">Cy_SysClk_ClkFastSetDivider</ref>(16u);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />the<sp />CM4<sp />clock<sp />source<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkFastfreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__fast__funcs_1ga1d73104a4b46ede910f7b1d75875b8ec">Cy_SysClk_ClkFastGetFrequency</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2419" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2412" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2397" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>